Uploaded image for project: 'Libcloud'
  1. Libcloud
  2. LIBCLOUD-626

Add support for AWS signature version 4

Add voteWatch issue
    XMLWordPrintableJSON

Details

    • Task
    • Status: Open
    • Minor
    • Resolution: Unresolved
    • None
    • None
    • Compute, Core
    • None

    Description

      Amazon launched new Frankfurt region which only supports requests signed using signature version 4 (https://aws.amazon.com/blogs/aws/aws-region-germany/).

      Currently, Libcloud only supports signature version 2. We should add support for version 4 (in addition to the existing support for v2).

      To start, we should only use version 4 for the new Frankfurt region.

      Attachments

        Activity

          People

            Unassigned Unassigned
            kami Tomaz Muraus

            Dates

              Created:
              Updated:

              Slack

                Issue deployment